Package org.eclipse.net4j.util.ui

# Class FactoryTypeContentProvider

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.jface.viewers.ViewerSorter
org.eclipse.net4j.util.ui.StructuredContentProvider<IManagedContainer>
org.eclipse.net4j.util.ui.FactoryTypeContentProvider

All Implemented Interfaces:
  `EventListener`, `IContentProvider`, `IStructuredContentProvider`, `IListener`

public class FactoryTypeContentProvider extends StructuredContentProvider<IManagedContainer>
A `structured content provider` that shows the `factory types` of the `input`.

Since:
  3.2
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

## Constructor Summary

Constructors
Constructor
Description
`FactoryTypeContentProvider(String productGroup)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`connectInput(IManagedContainer input)`
`protected void`
`disconnectInput(IManagedContainer input)`
`Object[]`
`getElements(Object inputElement)`
`String`
`getProductGroup()`

### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

`dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FactoryTypeContentProvider

public FactoryTypeContentProvider(String productGroup)

## Method Details

### getProductGroup

public String getProductGroup()

### getElements

public Object[] getElements(Object inputElement)

### connectInput

protected void connectInput(IManagedContainer input)

Overrides:
  `connectInput` in class `StructuredContentProvider<IManagedContainer>`

### disconnectInput

protected void disconnectInput(IManagedContainer input)

Overrides:
  `disconnectInput` in class `StructuredContentProvider<IManagedContainer>`